Tạo room
curl --request POST \
--url https://api.fireant.vn/rooms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"privacy": 123,
"visibility": 123,
"coverImage": "aSDinaTvuI8gbWludGxpZnk=",
"topics": [
123
],
"symbols": [
"<string>"
],
"inviteFollowers": true
}
'import requests
url = "https://api.fireant.vn/rooms"
payload = {
"name": "<string>",
"description": "<string>",
"privacy": 123,
"visibility": 123,
"coverImage": "aSDinaTvuI8gbWludGxpZnk=",
"topics": [123],
"symbols": ["<string>"],
"inviteFollowers": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
privacy: 123,
visibility: 123,
coverImage: 'aSDinaTvuI8gbWludGxpZnk=',
topics: [123],
symbols: ['<string>'],
inviteFollowers: true
})
};
fetch('https://api.fireant.vn/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"info": {
"roomID": 123,
"status": 123,
"privacy": 123,
"visibility": 123,
"name": "<string>",
"description": "<string>",
"approved": true,
"createdDate": "2023-11-07T05:31:56Z",
"promotionLevel": 123,
"invitationID": 123,
"requestID": 123,
"role": 123,
"blocked": true,
"verified": true,
"lastActivityDate": "2023-11-07T05:31:56Z",
"topics": [
{
"topicID": 123,
"name": "<string>",
"description": "<string>"
}
],
"symbols": [
{
"symbol": "<string>",
"weight": 123
}
]
},
"totalMembers": 123,
"totalPosts": 123,
"totalRequests": 123,
"totalBlockedUsers": 123,
"totalPendingPosts": 123
}Rooms
Tạo room
POST
/
rooms
Tạo room
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
posts-write
Đăng bài viết
Nội dung
application/jsontext/json
Thông tin room
Yêu cầu tạo room
Tiêu đề
Mô tả
Loại nhóm - 0: Nhóm công khai, 1: Nhóm riêng tư
Tính công khai nhóm - 0: Công khai, cho phép người dùng bình thường có thể tìm thấy nhóm trên cộng đồng, 1: Không công khai, chỉ thành viên của nhóm mới tìm thấy nhóm trên cộng đồng
Ảnh cover
Các chủ đề liên quan đến nhóm
Các mã chứng khoán liên quan đến nhóm
Mời những người theo dõi